#pragma once
#include "Entity.h"
#define CS_BOSS_HONEYCOMB_CREATENAME L"CS_boss_honeycomb"
//Boss£º·ä³²
class CS_Boss_Honeycomb :
    public Entity
{
public:
    CS_Boss_Honeycomb();
    void Init(std::weak_ptr<Entity> self) override;
    void Step() override;
    void SetState(int stateID, int lr) override;
    void SetState(std::wstring stateName, int lr) override;
    bool Hurt(std::weak_ptr<Entity> src, int getDamage, float angle, bool bTakedown, int elemType, float shockForce, float heavy, int* outRealDamage) override;
    int stateID = 0;
    std::weak_ptr<Entity> controlCore;
    int explodeCounter = 0;
    int beeSetNum = 5;
    int beeSetNum_counter = beeSetNum;
    int beeSetInterval_counter_max = 15;
    int beeSetInterval_counter = beeSetInterval_counter_max;
    int beeSet_counter_max = 240;
    int beeSet_counter = 0;
    int flash = 0;
    bool bNormalMode = false;
};

std::shared_ptr<Entity> CreateCS_Boss_Honeycomb();